## org.eclipse.jst.server.core
Class JndiObject

    java.lang.Object
      org.eclipse.wst.server.core.model.ModuleArtifactDelegate
          org.eclipse.jst.server.core.JndiObject

All Implemented Interfaces:
  IModuleArtifact

    public class JndiObject

extends ModuleArtifactDelegate

A representation of an object in JNDI that can be tested on a server.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`JndiObject()` Create an empty reference to an object in JNDI.
`JndiObject(IModule module, java.lang.String jndiName)` Create a reference to an object in JNDI.

Method Summary
`void` `deserialize(java.lang.String s)` Deserialize this object from a serialized string.
`java.lang.String` `getJndiName()` Return the JNDI name of the object.
`java.lang.String` `getName()` Returns a user-presentable name for this artifact.
`java.lang.String` `serialize()` Serialize this object into a string.

Methods inherited from class org.eclipse.wst.server.core.model.ModuleArtifactDelegate
`getModule`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiObject

    public JndiObject(IModule module,
                      java.lang.String jndiName)

  Create a reference to an object in JNDI.

  Parameters:
    `module` - the module that the object is contained in
    `jndiName` - the JNDI name of the object

### JndiObject

    public JndiObject()

  Create an empty reference to an object in JNDI.

Method Detail

### getJndiName

    public java.lang.String getJndiName()

  Return the JNDI name of the object.

  Returns:
    the JNDI name of the object

### getName

    public java.lang.String getName()

  Description copied from class: `ModuleArtifactDelegate`
  Returns a user-presentable name for this artifact.

  Specified by:
    `getName` in class `ModuleArtifactDelegate`
  Returns:
    a user-presentable name

### deserialize

    public void deserialize(java.lang.String s)

  Description copied from class: `ModuleArtifactDelegate`
  Deserialize this object from a serialized string.

  Overrides:
    `deserialize` in class `ModuleArtifactDelegate`
  Parameters:
    `s` - a serialized string.

### serialize

    public java.lang.String serialize()

  Description copied from class: `ModuleArtifactDelegate`
  Serialize this object into a string.

  Overrides:
    `serialize` in class `ModuleArtifactDelegate`
  Returns:
    a serialized string